<?xml version="1.0"?>
<!DOCTYPE project SYSTEM "/home/ajenkins/devel/java/project.dtd">

<project name="TalkApp" default="TalkApp">
  <!-- build directory -->
  <property name="build" value="../build"/>
  <property name="docdir" value="docs"/>
  
  <target name="TalkApp">
    <javac srcdir="." destdir="${build}" />
    <copy todir="${build}/talk">
      <fileset dir="." includes="logger.properties" />
    </copy>

    <copy todir="${build}/talk/swingui">
      <fileset dir="swingui" includes="*.gif" />
    </copy>
  </target>

  <target name="javadoc">
    <mkdir dir="${docdir}"/>
    <javadoc destdir="${docdir}"
	     packagenames="talk.*"
	     windowtitle="JTalk Internals Documentation"
	     sourcepath="..">
      <link href="http://java.sun.com/j2se/1.4/docs/api"/>
    </javadoc>
  </target>
</project>

